import Vue from 'vue'

import 'normalize.css/normalize.css'// A modern alternative to CSS resets

import Element from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import '@/utils/directives.js'
import '@/styles/index.scss' // global css
import '@/styles/variables.scss' // global css
import '@/assets/iconfont/iconfont.css'
import '@/assets/icon/iconfont.css'
import { Message } from 'element-ui'
import App from './App'
import router from './router'
import store from './store'
import { Base64 } from 'js-base64'
import i18n from './lang' // Internationalization
import './icons' // icon
import './errorLog'// error log
// import './permission' // permission control
import './xt_permission'
// import './mock' // simulation data

import * as filters from './filters' // global filters

//引入mint-ui
import Mint from 'mint-ui';
Vue.use(Mint);

//引入无线滚条
import vuescroll from 'vuescroll'
import { read } from 'fs';
import 'vuescroll/dist/vuescroll.css';
import 'swiper/dist/css/swiper.min.css'
import BaiduMap from 'vue-baidu-map'
Vue.use(vuescroll)
Vue.use(Element, {
  size: 'medium', // set element-ui default size
  i18n: (key, value) => i18n.t(key, value)
})

// register global utility filters.
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

Vue.config.productionTip = false

new Vue({
  el: '#app',
  router,
  store,
  i18n,
  render: h => h(App)
})

Vue.prototype.Base64 = require('js-base64').Base64
Vue.use(BaiduMap, {
  // ak 是在百度地图开发者平台申请的密钥 详见 http://lbsyun.baidu.com/apiconsole/key */
  ak: 'YOUR_APP_KEY'
})
